#include<iostream>
#include <cmath>
using namespace std;

int main() {
    int n, q, medijanaN, medijanaQ, puta = 0;
    double medijana, medijana1;

    cin >> n;
    cin >> q;

    int niz[n], niz1[q];

    for(int i = 0;i<n;i++) {
        cin >> niz[i];
    }

    for(int i = 0;i<q;i++) {
        cin >> niz1[i];
    }

    if(n % 2 == 1) {
        medijana = niz[(n / 2)];
        medijanaN = int (medijana);
        cout << 0 << endl;
    } 
    puta = -1;
    for (medijanaN ; medijanaN < niz1[1] ; medijanaN++)
    {

        medijanaN;
        puta++;
    }
    cout << puta << endl;
     for (medijanaN ; medijanaN <= niz1[2] ; medijanaN++)
    {

        medijanaN;
        puta++;
    }
    cout << puta << endl;


    }